/*
 * Copyright (C) 2023 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords;

import com.amihaiemil.eoyaml.Yaml;
import com.amihaiemil.eoyaml.YamlInput;
import com.amihaiemil.eoyaml.YamlMapping;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;

/**
 *
 * @author jimj316
 */
public class Settings
{

    private final YamlMapping mapping;

    public Settings(File file) throws FileNotFoundException, IOException
    {
        YamlInput input = Yaml.createYamlInput(file);
        mapping = input.readYamlMapping();

    }

    public String getDiscordToken()
    {
        return mapping.string("discord-token");
    }

    public String getLocalAddr()
    {
        return mapping.string("local-addr");
    }

    public String getYtdlCommand()
    {
        String ret = mapping.string("ytdl-cmd");
        if (ret == null)
            ret = "/usr/bin/youtube-dl";
        return ret;
    }
}
