/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords.commands;

import moe.nekojimi.chords.Chords;

public class RemoveCommand extends Command
{

    public RemoveCommand(Chords bot)
    {
        super(bot, "remove");
    }

    @Override
    public void call(Invocation invocation)
    {
        try
        {
            int i = Integer.parseInt(invocation.getArgs().get(0));
            boolean removed = bot.getQueueManager().removeSong(i - 1);
            final int size = bot.getQueueManager().getJukeboxQueue().size();
            if (removed)
                invocation.respond("Song removed.");
            else if (size > 1)
                invocation.respond("That's not a number between 1 and " + size + "!");
            else if (size == 1)
                invocation.respond("There's only one song to remove and that's not one of them!");

        } catch (NumberFormatException ex)
        {
            invocation.respond(invocation.getArgs().get(0) + " isn't a number!");
        }
    }

}
